Subject: RE: [mobile-ip] questions on fast handoffs for MIPv6

From: Alper Yegin <[email-masked]>
Date: Wed, 20 Jun 2001 11:16:43 -0700 (PDT)

Barani,

I agree there will be a mix of access technologies deployed and Mobile IP will 
be best used across this kind of environment.

And I think you also agree that if there's "enough" overlap between two 
different access network coverage, we don't need FMIPv6.

"enough" being few seconds needed to configure a new CoA and send a BU to oldAR.

There might be cases where MN doesn't have this few seconds, and need to use 
FMIPv6. In this case, the L2 indetifier MN send in F-BU does not match the L2 
identifier it'll be using at the new link. That means newAR cannot detect this 
"mobile node" at L2, but instead needs to wait for the F-NA, which is in the 
draft. 

I don't see this as a "L2 dependency".

So, draft has a solution for your scenario (F-NA). But of course, we'd like to 
hear your proposal as well.

alper

> Alper,
> 
> I am not sure if this is a valid assumption to design a solution that works
> given few seconds of overlap. The scenarios such as BT-WLAN-WWAN-Ethernet will
> be the most prevalent wireless data access scenario and Mobile IP has lots to
> gain to propose solutions that works across heterogeneous access (L2)
> technologies.
> 
> Again, I want to emphasis that we remove any L2 dependency with FMIP. There 
are
> other ways to solve the problem with out using L2 identifier.
> 
> Barani.
> 
> 
> 
> 
> Alper Yegin <[email-masked]> on 06/18/2001 07:58:43 PM
> 
> Please respond to [email-masked]
> 
> Sent by:  Alper Yegin <[email-masked]>
> 
> 
> To:   [email-masked]
> cc:    (Barani Subbiah/HQ/3Com)
> Subject:  RE: [mobile-ip] questions on fast handoffs for MIPv6
> 
> 
> 
> Charles, Barani,
> 
> All it takes to avoid using FMIPv6 is the capability to be data connected at 
two
> interfaces for few seconds. So, if there's overlap (worth few seconds) then 
one
> can get away without using FMIPv6.
> 
> During the overlap, the other interface is used to configure a new CoA and 
send
> a BU to oldAR to establish forwarding from previous care-of address. After 
this
> point old attachment can be released.
> 
> I think few seconds overlap is reasonable.
> 
> alper
> 
> > Charles: Thanks for the scenario.
> >
> > Alper: you can think of the same scenario with no GPRS coverage inside the
> > building. IMHO, we are going to see scenarios like this more often than a 
pure
> > single access technology wireless data access.
> > You can also think of same operator providing WWAN and WLAN (hot spot)
> coverage
> > and like to use fast MIP techniques.
> >
> > I like to suggest that we remove any dependency of L2 with FMIP techniques.
> >
> > Barani.
> >
> >
> >
> >
> >
> > Charles Qi Shen <[email-masked]> on 06/18/2001 02:57:39 AM
> >
> > Please respond to [email-masked]
> >
> > Sent by:  Charles Qi Shen <[email-masked]>
> >
> >
> > To:   [email-masked]
> > cc:    (Barani Subbiah/HQ/3Com)
> > Subject:  RE: [mobile-ip] questions on fast handoffs for MIPv6
> >
> >
> >
> > Alper,
> >
> > I am not aware of what kinds of scenarios Barani may have in his mind.
> > Please see whether my scenario can be something close to that.
> >
> > For example, you have a Mobile Node with two interfaces, one GPRS and one
> > Wireless LAN, your company is covered by WLAN and you can use it for free
> > within the company, while you are outside you will use GPRS. Since you pay
> > for your GPRS but not the WLAN. You may wish to use WLAN *only* while
> > inside the Company. In this case, it is not really this mobile node
> > *cannot* have both interfaces connected, but it is the user choosing so.
> >
> > Charles
> >
> > At 05:26 PM 6/15/2001 -0700, you wrote:
> > >Barani,
> > >
> > >Is there any reason why this mobile node cannot have both interfaces
> > >connected
> > >at the same time? Do you have a scenario where it can or it should have
> > >only one
> > >connected, although they are using different interfaces?
> > >
> > >alper
> > >
> > >
> > > >
> > > > Alper,
> > > >
> > > > No. It is a single mobile with multiple links but connects via a single
> > > link
> > >at
> > > > any given time to a single AR. However, after hand off it connects to
> > > new AR
> > >via
> > > > a different link. Example would be WLAN and WWAN or any other 
combination.
> > > >
> > > > Barani.
> > > >
> > > >
> > > >
> > > >
> > > > Alper Yegin <[email-masked]> on 06/14/2001 07:40:23 PM
> > > >
> > > > Please respond to [email-masked]
> > > >
> > > > Sent by:  Alper Yegin <[email-masked]>
> > > >
> > > >
> > > > To:   [email-masked]
> > > > cc:    (Barani Subbiah/HQ/3Com)
> > > > Subject:  RE: [mobile-ip] questions on fast handoffs for MIPv6
> > > >
> > > >
> > > >
> > > > Barani,
> > > >
> > > > > As in the draft and this thread, I like to point out that Link layer
> > > address
> > > > > based verification across ARs should be avoided as much as possible.
> > > > > MN can have two interfaces and also move from one AR to another AR
> > > using the
> > > > new
> > > > > L2 interface.
> > > > >
> > > > > If we want L2 identifier then there should be a way that MN can
> > > indicate to
> > > > the
> > > > > old AR about the new Link layer ID that it will be using plus the
> > > current L2
> > > > ID.
> > > > >
> > > >
> > > > If this is a mobile node with multiple links, which can be connected to
> > > > different ARs at the same time, you most probably don't need FMIPv6 
draft.
> > > >
> > > > alper
> > > >
> > > >
> > > >
> > > >
> > > >
> > >
> > >alper
> >
> > SHEN, Qi (Charles)
> > Centre for Wireless Communications
> > National University of Singapore
> > 20 Science Park Rd. #02-34/37, TeleTech Park
> > Singapore Science Park II, Singapore 117674
> > Tel: +65 870-9358       Fax: +65 779-5441
> > Email: [email-masked]
> > URL: http://www.cwc.nus.edu.sg
> >
> >
> >
> >
> >
> >
> 
> alper
> 
> 
> 
> 
> 

alper

---

From: "Satish Jamadagni" <[email-masked]>
Date: Mon, 25 Jun 2001 15:57:41 +0530

All,
In the fast handoff draft for IPv6, It is mentioned that in the mobile
initiated handoff (Consider an inter technology handoff scenario) a router
solicitation for proxy with some access network information is sent by the
mobile (I assume that the access network is the new access network to which
the mobile plans to handoff).In the inter-technology case handoffs will be
mostly mobile initiated - so this information will be hard to come by for a
mobile.

Can any one direct me to what kind of access network information is sent -
are there any specs that are comming up to define this information.

Satish Jamadagni
Sasken Communication technologies Ltd,
The Soft-Radio project
Bangalore - 560 008